/*
 * Copyright (c) eHealth
 */
package be.ehealth.technicalconnector.service.sts.impl;

import be.ehealth.technicalconnector.config.ConfigFactory;
import be.ehealth.technicalconnector.service.sts.impl.STSServiceWsTrustSAML20Impl;
import be.ehealth.technicalconnector.service.sts.security.SAML20Token;


/**
 * Unit test that verifies the STSServiceWsTrustImpl
 * 
 * @author EHP
 * 
 * 
 * 
 */
public class STSServiceWsTrustSAML20ImplUserIntegrationTest extends STSServiceBaseTest {


    /**
     * Constructor that uses the correct Service
     */
    public STSServiceWsTrustSAML20ImplUserIntegrationTest() {
        super();
        setService(new STSServiceWsTrustSAML20Impl());
        ConfigFactory.getConfigValidator()
                     .setProperty("endpoint.sts", "https://services-acpt.ehealth.fgov.be/IAM/SecurityTokenService/v1");
    }

    @Override
    protected String getHolderOfKeyMethod() {
        return SAML20Token.HOK_METHOD;
    }

    @Override
    protected String getSenderVouchesMethod() {
        return SAML20Token.SV_METHOD;
    }
}

